# VendorExtracter

从源代码中抓取出所有来自 node_modules 中的模块并打包成一份。

## 使用说明

```js
const extract = require('vendor-extracter')
extract({
  ...options
})
```

具体的 options 配置：

| Name | 类型 | 描述 |
|------|-----|------|
| entries | String / Array | 应用的入口点，模块依赖树的根 |
| fileModuleFomatter | Function | 重写模块名，用于适应 alias 配置 |
| moduleFilter | Function | 模块过滤规则，可以指定个别模块不导出 |
| appendVersion | Boolean | 导出的模块名是否跟上版本号（默认 false）|
| vendorPrefix | Boolean | 指定导出的大包的模块前缀（默认 gallery/）|
| vendorFileNameTemplate | Boolean | 最终导出文件名（默认 pkg.vendors.js）|
| loaders | Array | 见 webpack 的loaders配置，默认没有 loaders |
| prodMode | Boolean | 是否对导出的文件进行代码压缩 （默认 false）|
| outputPath | String | 文件最终输出的目录 |
